%define	name	anthy
%define	version	4925
%define	release	5mdk
%define	major	0
%define	libname	%mklibname %{name} %{major}

Name:		%{name}
Summary:	A Japanese words input system.
Version:	%{version}
Release:	%{release}
Url:		http://www.sourceforge.jp/projects/anthy/
Source0:	%{name}-%{version}.tar.bz2
Group:		System/Internationalization
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	emacs-bin

# fix build:
%define __libtoolize /bin/true


%description
Anthy is a free and secure Japanese input system.

%package -n	%{libname}
Summary:	Anthy library.
Group:		System/Internationalization

%description -n	%{libname}
Anthy library.

%package -n	%{libname}-devel
Summary:	Headers of %{name} for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Anthy development package: static libraries, header files, and the like.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*
# (tv) fix uim dloading libanthy.so
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-5mdk
- move .so link into libanthy0 since uim load them through dlopen

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-4mdk
- fix requires

* Wed Feb 18 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4925-3mdk
- fix requires

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-1mdk
- new release
- fix build

* Sat Jan 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4700-2mdk
- fix buildrequires
- cosmetics

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4700-1mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial upload

* Fri Nov 14 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4700-1
- Version updated.

